Skip to main content
Resource Center/Network Resource/Multicast Routing Operations
POSTMulticast Routing OperationsSince 3.7.0SynchronousAuth Required

CreateMulticastRouter

CreateMulticastRouter

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • vpcRouterVmUuidStringRequired

      No description provided.

    • descriptionString

      Optional. The detailed description of the resource.

    • resourceUuidString

      Optional. The resource UUID.

    • tagUuidsList

      Optional. The tag UUID list.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryMulticastRouterInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • vpcRouterUuidStringRequired

      No description provided.

    • descriptionStringRequired

      The detailed description of the resource.

    • stateStringRequired

      当前状态。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • rpGroupsListRequired

      See rpGroups.

      • uuidStringRequired

        The resource UUID.

      • multicastRouterUuidStringRequired

        No description provided.

      • rpAddressStringRequired

        No description provided.

      • groupAddressStringRequired

        组地址。

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

    • vpcVrsListRequired

      See vpcVrs.

      • uuidStringRequired

        The resource UUID.

      • vpcRouterUuidStringRequired

        No description provided.

Endpoint

POST/zstack/v1/multicast/virtual-routers

/zstack/v1/multicast/virtual-routers

Operation ID

CreateMulticastRouter

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/multicast/virtual-routers' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"vpcRouterVmUuid":"<vpcRouterVmUuid>","description":"<description>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "974c38ae483737c3b4ded18de56773b6", "description": "test for header", "rpGroups": [ { "uuid": "0bda384377d53656b89270948f795ab8", "multicastRouterUuid": "974c38ae483737c3b4ded18de56773b6", "rpAddress": "1.2.3.4", "groupAddress": "239.1.1.1/32" } ], "vpcVrs": [] } }

Change History

This API has no change history records yet.

View all change history